Bug 192554 - Rendering artifact on subpixel positions
Summary: Rendering artifact on subpixel positions
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-10 05:09 PST by Karl Leplat
Modified: 2019-02-27 01:53 PST (History)
14 users (show)

See Also:


Attachments
Patch (13.79 KB, patch)
2018-12-10 05:24 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.50 MB, application/zip)
2018-12-10 06:27 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-sierra-wk2 (3.01 MB, application/zip)
2018-12-10 06:36 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-sierra (1.98 MB, application/zip)
2018-12-10 07:17 PST, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.40 MB, application/zip)
2018-12-10 07:19 PST, Build Bot
no flags Details
Patch (14.37 KB, patch)
2018-12-11 07:34 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-sierra (2.43 MB, application/zip)
2018-12-11 08:39 PST, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-sierra-wk2 (3.00 MB, application/zip)
2018-12-11 08:45 PST, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (2.00 MB, application/zip)
2018-12-11 09:25 PST, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.42 MB, application/zip)
2018-12-11 09:31 PST, Build Bot
no flags Details
Patch (15.33 KB, patch)
2018-12-12 06:43 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-sierra-wk2 (3.10 MB, application/zip)
2018-12-12 07:34 PST, Build Bot
no flags Details
Patch (15.33 KB, patch)
2018-12-12 07:40 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.54 MB, application/zip)
2018-12-12 08:24 PST, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.15 MB, application/zip)
2018-12-12 08:34 PST, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (2.13 MB, application/zip)
2018-12-12 09:29 PST, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (2.42 MB, application/zip)
2018-12-12 15:41 PST, Build Bot
no flags Details
Patch (10.80 KB, patch)
2018-12-18 06:34 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Patch (4.40 KB, patch)
2019-01-11 01:11 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.43 MB, application/zip)
2019-01-11 03:09 PST, Build Bot
no flags Details
Archive of layout-test-results from ews100 for mac-highsierra (2.46 MB, application/zip)
2019-01-11 11:22 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-highsierra-wk2 (2.59 MB, application/zip)
2019-01-11 11:39 PST, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-highsierra (2.27 MB, application/zip)
2019-01-11 14:42 PST, Build Bot
no flags Details
Patch (4.75 KB, patch)
2019-01-17 05:18 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (2.48 MB, application/zip)
2019-01-17 06:21 PST, Build Bot
no flags Details
Patch (4.73 KB, patch)
2019-01-17 06:21 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (2.48 MB, application/zip)
2019-01-17 07:23 PST, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.61 MB, application/zip)
2019-01-17 07:36 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-highsierra (2.02 MB, application/zip)
2019-01-17 08:10 PST, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.46 MB, application/zip)
2019-01-17 08:21 PST, Build Bot
no flags Details
Patch (6.04 KB, patch)
2019-01-18 00:28 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Patch (6.04 KB, patch)
2019-01-18 00:40 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Patch (6.53 KB, patch)
2019-01-18 08:05 PST, Karl Leplat
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.52 MB, application/zip)
2019-01-18 16:07 PST, Build Bot
no flags Details
Patch (8.59 KB, patch)
2019-02-27 01:53 PST, Karl Leplat
karl.leplat_ext: review?
karl.leplat_ext: commit-queue?
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Leplat 2018-12-10 05:09:15 PST
In compositing mode, rendering artifacts have been detected on the repaint of elements on subpixel position.
We suspect a problem on rounding computing sequences, this bug is reproducible on WebKit GTK and WPE.
This bug is not reproducible with compositing mode disabled.

AncestorGraphicsLayer               1st frame                                    DirtyRect              2nd frame
--------------- 24px           --------------- 24px                                                 --------------
- 24.359375px -                 -     24px   -                                                      - no painted
--------------- 48.359375px    --------------- 48px  (Force compositing mode) ------------- 48px    -------------- 48px
- 24.359375px -                -      25px   -  --> Need display this rect    -    24px   -    -->  -    25px    -
--------------- 72.7187        --------------- 73px                           -------------         -------------- BUG: one pixels line no repainted
- 24.359375px -                -      24px   -                                                      - no painted -
---------------                ---------------                                                      --------------

Source files for logs:
<WebCore/platform/graphics/LayoutRect.h::snapRectToDevicePixels()>
<WebCore/rendering/RenderLayerBacking.cpp::setContentsNeedDisplayInRect()>
<WebCore/platform/graphics/nicosia/NicosiaPaintingEngineBasic.cpp::paint()>
<WebCore/platform/graphics/cairo/CairoOperations.cpp::fillRectWithColor()>

Dump logs with the previous HTML test:

***************************** 1st frame processing ************************************
************** Update tiles in backingStore for GraphicsLayer ******************
setContentsNeedDisplayInRect LayoutRect before: x(48.000000) y(24.000000) w(59.000000) h(24.359375)
snapRectToDevicePixels result after: x(48.000000) y(24.000000) width(59.000000) height(24.000000)
outlineBoundsForRepaint container before: x(0.000000) y(0.000000) w(59.000000) h(24.359375)
snapRectToDevicePixels result after: x(0.000000) y(0.000000) w(59.000000) h(24.000000)

setContentsNeedDisplayInRect LayoutRect before: x(48.000000) y(48.359375) w(59.000000) h(24.359375)
snapRectToDevicePixels result after: x(48.000000) y(48.000000) width(59.000000) height(25.000000)
outlineBoundsForRepaint container before: x(0.000000) y(0.000000) w(59.000000) h(24.359375)
snapRectToDevicePixels result after: x(0.000000) y(0.000000) w(59.000000) h(24) ??????

setContentsNeedDisplayInRect LayoutRecti before: x(48.000000) y(72.718750) w(59.000000) h(24.359375)
snapRectToDevicePixels result after: x(48.000000) y(73.000000) width(59.000000) height(24.000000)
outlineBoundsForRepaint container before: x(0.000000) y(0.000000) w(59.000000) h(24.359375)
snapRectToDevicePixels result after: x(0.000000) y(0.000000) w(59.000000) h(24.000000)
********************************************************************************
************ Paint Web contents ******************************************
********* paint() --> fillRectWithColor() **************
cairo paint fill (Color::transparent) x(0.000000) y(0.000000) width(59.000000) height(25.000000)
cairo paint fill contents x(0.000000) y(0.000000) width(58.000000) height(24.000000)

********* paint() --> fillRectWithColor() **************
new targetRect with size : width(59px) height(25px)
cairo paint fill (Color::transparent) x(0.000000) y(0.000000) width(59.000000) height(25.000000)
------------> TO BE NOTED: this rect that should be updated in the second frame is filled with 25px of height <------------
cairo paint fill contents x(0.000000) y(0.000000) width(58.000000) height(25.000000)

********* paint() --> fillRectWithColor() **************
cairo paint fill (Color::transparent) x(0.000000) y(0.000000) width(59.000000) height(26.000000)
cairo paint fill contents x(0.000000) y(1.000000) width(58.000000) height(24.000000)
************************************* end of frame ********************************************

********************* 2nd frame processing in compositing mode *******************
************** Update tile in backingStore for GraphicsLayer ******************
setContentsNeedDisplayInRect LayoutRect x(0.000000) y(0.000000) w(59.000000) h(24.359375)
snapRectToDevicePixels result: x(0.000000) y(0.000000) width(59.000000) height(24.000000) ?????

The layout position (0.0 , 0.0) is not the same with the previous frame(48.0 , 48.359375)
Results with the two origins and a layout height of 24.359375px :
for position(0.0 , 0.0) we get 0.0 + 24.359375 = int(24)px of height
for position(48.0 , 48.359375) we get 48.359375 ==> 0.359375 + 24.359375 = 24,71875 = int(25)px of height
We can see that for the same dirtyRect we get differents height.
The calculation is done before moving by subpixels offset, perhaps we should take this for the rounding ?
*******************************************************************************
************ Paint Web contents ******************************************
********* paint() --> fillRectWithColor() **************
cairo paint fill (Color::transparent) x(0.000000) y(0.000000) width(59.000000) height(24.000000) ?????
-------> TO BE NOTED: this rect is now filled with only 24px of height why ??
cairo paint fill contents x(0.000000) y(0.000000) width(58.000000) height(25.000000)
********************* end of frame  ******************************************************
Comment 1 Karl Leplat 2018-12-10 05:24:54 PST
Created attachment 356955 [details]
Patch
Comment 2 Build Bot 2018-12-10 06:27:45 PST
Comment on attachment 356955 [details]
Patch

Attachment 356955 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10337275

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 3 Build Bot 2018-12-10 06:27:46 PST
Created attachment 356956 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 4 Build Bot 2018-12-10 06:36:20 PST
Comment on attachment 356955 [details]
Patch

Attachment 356955 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10337290

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 5 Build Bot 2018-12-10 06:36:22 PST
Created attachment 356957 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-12-10 07:17:38 PST
Comment on attachment 356955 [details]
Patch

Attachment 356955 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10337359

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 7 Build Bot 2018-12-10 07:17:40 PST
Created attachment 356958 [details]
Archive of layout-test-results from ews114 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 8 Build Bot 2018-12-10 07:19:03 PST
Comment on attachment 356955 [details]
Patch

Attachment 356955 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10337362

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 9 Build Bot 2018-12-10 07:19:05 PST
Created attachment 356959 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 10 Karl Leplat 2018-12-11 07:34:47 PST
Created attachment 357048 [details]
Patch
Comment 11 Build Bot 2018-12-11 08:39:28 PST
Comment on attachment 357048 [details]
Patch

Attachment 357048 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10353820

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 12 Build Bot 2018-12-11 08:39:30 PST
Created attachment 357050 [details]
Archive of layout-test-results from ews101 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 13 Build Bot 2018-12-11 08:45:43 PST
Comment on attachment 357048 [details]
Patch

Attachment 357048 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10353827

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 14 Build Bot 2018-12-11 08:45:45 PST
Created attachment 357051 [details]
Archive of layout-test-results from ews105 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 15 Build Bot 2018-12-11 09:25:38 PST
Comment on attachment 357048 [details]
Patch

Attachment 357048 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10353881

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 16 Build Bot 2018-12-11 09:25:40 PST
Created attachment 357056 [details]
Archive of layout-test-results from ews112 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 17 Build Bot 2018-12-11 09:31:23 PST
Comment on attachment 357048 [details]
Patch

Attachment 357048 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10353897

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 18 Build Bot 2018-12-11 09:31:27 PST
Created attachment 357057 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 19 Karl Leplat 2018-12-12 06:43:17 PST
Created attachment 357121 [details]
Patch
Comment 20 Build Bot 2018-12-12 07:34:14 PST
Comment on attachment 357121 [details]
Patch

Attachment 357121 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10367344

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 21 Build Bot 2018-12-12 07:34:16 PST
Created attachment 357124 [details]
Archive of layout-test-results from ews105 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 22 Karl Leplat 2018-12-12 07:40:53 PST
Created attachment 357127 [details]
Patch
Comment 23 Build Bot 2018-12-12 08:24:01 PST
Comment on attachment 357127 [details]
Patch

Attachment 357127 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10368348

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 24 Build Bot 2018-12-12 08:24:03 PST
Created attachment 357132 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 25 Build Bot 2018-12-12 08:34:03 PST
Comment on attachment 357127 [details]
Patch

Attachment 357127 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10368384

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 26 Build Bot 2018-12-12 08:34:05 PST
Created attachment 357134 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 27 Simon Fraser (smfr) 2018-12-12 08:43:42 PST
What are you trying to do with this patch?

Also please obsolete old attachments and comments. This bug is really noisy.
Comment 28 Olivier Blin 2018-12-12 08:57:21 PST
We had multiple issues to build a reference image that was suitable for the Mac test runners as well.

The GTK test runner always output images in the 800x600 resolution, with no alpha channel.
In the first iteration, the test case gave on Mac a test result in the 1600x1200 resolution, so the test had to be updated to give a 800x600 output on Mac too, by avoid using a 100% size on the body.

Then there was an issue with the alpha channel, because the reference image was generated with the GTK test runner, which never adds an alpha channel in the PNG image if there is no transparent pixel (this is the behavior of the PNG writer in the cairo library).
But the Mac test runner appears to always add an alpha channel, so the images did not match.
We had to tweak a local build of the cairo library to always generate an alpha channel.

This is all to add a test case because we noticed a rounding mismatch between the layout and painting when accelerated compositing is used.

We would appreciate a feedback regarding the behavior on the Mac port.
Is the issue reproduced as well?
Comment 29 Build Bot 2018-12-12 09:29:19 PST
Comment on attachment 357127 [details]
Patch

Attachment 357127 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10368724

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 30 Build Bot 2018-12-12 09:29:22 PST
Created attachment 357138 [details]
Archive of layout-test-results from ews112 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 31 Build Bot 2018-12-12 15:41:21 PST
Comment on attachment 357127 [details]
Patch

Attachment 357127 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10373285

New failing tests:
compositing/repaint-element-on-subpixel-position.html
Comment 32 Build Bot 2018-12-12 15:41:23 PST
Created attachment 357180 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 33 Karl Leplat 2018-12-18 06:34:57 PST
Created attachment 357566 [details]
Patch
Comment 34 Michael Catanzaro 2018-12-18 11:47:00 PST
Well it's great to see the test passing on every EWS, but since the patch doesn't include any fix, that means the test must not be testing the bug you've identified, correct?
Comment 35 Karl Leplat 2018-12-19 00:45:12 PST
Hi (In reply to   Catanzaro from comment #34)
> Well it's great to see the test passing on every EWS, but since the patch
> doesn't include any fix, that means the test must not be testing the bug
> you've identified, correct?

Hi Michael,
Thanks for you feedback, I understand your remarks but tests are running without --pixel-tests argument which does not reproduce the problem. I has another remark, when I run tests with --pixel-tests, tests don't pass with GTK and WPE but work fine on MAC. Can you try with this layout test and tell me if you observe the same behavior ? I'm waiting for you feedback, thank you !
Comment 36 Michael Catanzaro 2018-12-19 05:11:19 PST
Hm OK, we actually don't run pixel tests normally, but I suppose it never hurts to have a new test, and can be useful to show when this is fixed.
Comment 37 Karl Leplat 2019-01-11 01:11:28 PST
Created attachment 358887 [details]
Patch
Comment 38 Build Bot 2019-01-11 03:09:18 PST
Comment on attachment 358887 [details]
Patch

Attachment 358887 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10708463

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 39 Build Bot 2019-01-11 03:09:20 PST
Created attachment 358888 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 40 Build Bot 2019-01-11 11:22:06 PST
Comment on attachment 358887 [details]
Patch

Attachment 358887 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10714781

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 41 Build Bot 2019-01-11 11:22:08 PST
Created attachment 358914 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 42 Build Bot 2019-01-11 11:38:58 PST
Comment on attachment 358887 [details]
Patch

Attachment 358887 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10714879

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 43 Build Bot 2019-01-11 11:39:01 PST
Created attachment 358918 [details]
Archive of layout-test-results from ews107 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 44 Build Bot 2019-01-11 14:42:02 PST
Comment on attachment 358887 [details]
Patch

Attachment 358887 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10717277

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 45 Build Bot 2019-01-11 14:42:05 PST
Created attachment 358947 [details]
Archive of layout-test-results from ews116 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 46 Karl Leplat 2019-01-17 05:18:28 PST
Created attachment 359367 [details]
Patch
Comment 47 Build Bot 2019-01-17 06:21:25 PST
Comment on attachment 359367 [details]
Patch

Attachment 359367 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10783444

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 48 Build Bot 2019-01-17 06:21:27 PST
Created attachment 359370 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 49 Karl Leplat 2019-01-17 06:21:37 PST
Created attachment 359371 [details]
Patch
Comment 50 Build Bot 2019-01-17 07:23:09 PST
Comment on attachment 359371 [details]
Patch

Attachment 359371 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10783813

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 51 Build Bot 2019-01-17 07:23:11 PST
Created attachment 359372 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 52 Build Bot 2019-01-17 07:36:37 PST
Comment on attachment 359371 [details]
Patch

Attachment 359371 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10783839

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 53 Build Bot 2019-01-17 07:36:39 PST
Created attachment 359373 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 54 Build Bot 2019-01-17 08:10:21 PST
Comment on attachment 359371 [details]
Patch

Attachment 359371 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10783877

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 55 Build Bot 2019-01-17 08:10:24 PST
Created attachment 359377 [details]
Archive of layout-test-results from ews114 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 56 Build Bot 2019-01-17 08:21:43 PST
Comment on attachment 359371 [details]
Patch

Attachment 359371 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10783892

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 57 Build Bot 2019-01-17 08:21:46 PST
Created attachment 359378 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 58 Karl Leplat 2019-01-18 00:28:06 PST
Created attachment 359456 [details]
Patch
Comment 59 Build Bot 2019-01-18 00:30:30 PST
Attachment 359456 [details] did not pass style-queue:


ERROR: Source/WebCore/rendering/RenderLayerBacking.cpp:816:  Should have a space between // and comment  [whitespace/comments] [4]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 60 Karl Leplat 2019-01-18 00:40:04 PST
Created attachment 359458 [details]
Patch
Comment 61 Karl Leplat 2019-01-18 08:05:09 PST
Created attachment 359488 [details]
Patch
Comment 62 Build Bot 2019-01-18 12:54:25 PST
Comment on attachment 359488 [details]
Patch

Attachment 359488 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10799386

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 63 Build Bot 2019-01-18 16:07:56 PST
Comment on attachment 359488 [details]
Patch

Attachment 359488 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10801989

New failing tests:
compositing/repaint/repaint-element-on-subpixel-position.html
Comment 64 Build Bot 2019-01-18 16:07:58 PST
Created attachment 359552 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 65 Karl Leplat 2019-02-27 01:53:10 PST
Created attachment 363081 [details]
Patch